AlignmentRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.AlignmentRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class AlignmentRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.SequenceRendererWrapper
              org.biojava.bio.gui.sequence.AlignmentRenderer

All Implemented Interfaces:
  Serializable, SequenceRenderer, Changeable

    public class AlignmentRenderer

extends SequenceRendererWrapper

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.SequenceRenderer
`SequenceRenderer.RendererForwarder`

Field Summary
`static ChangeType` | `LABEL`

Fields inherited from class org.biojava.bio.gui.sequence.SequenceRendererWrapper
`RENDERER`

Constructor Summary
`AlignmentRenderer()`

Method Summary
`SequenceRenderContext` | `contextForLabel(SequenceRenderContext src, Object label)`
`double` | `getDepth(SequenceRenderContext ctx)` Retrieve the depth of this renderer when rendering src.
`Object` | `getLabel()`
`double` | `getMinimumLeader(SequenceRenderContext ctx)` Retrieve the minimum leading distance for this renderer when rendering src.
`double` | `getMinimumTrailer(SequenceRenderContext ctx)` Retrieve the minimum trailing distance for this renderer when rendering src.
`void` | `paint(Graphics2D g, SequenceRenderContext ctx)` Render a portion (possibly all) of the information for src to g, displaying all of the data that would fall within seqBox.
`void` | `setLabel(Object label)`

Methods inherited from class org.biojava.bio.gui.sequence.SequenceRendererWrapper
`getChangeSupport, getRenderer, processMouseEvent, setRenderer`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL

    public static ChangeType LABEL

Constructor Detail

### AlignmentRenderer

    public AlignmentRenderer()

Method Detail

### setLabel

    public void setLabel(Object label)
                  throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getLabel

    public Object getLabel()

### getDepth

    public double getDepth(SequenceRenderContext ctx)

  Description copied from interface: `SequenceRenderer`
  Retrieve the depth of this renderer when rendering src.

  The depth may vary between sequence panels - for example based upon sequence length. Each line of information in the SequenceRendererContext only renders a region of the sequence. The depth for one complete line may be different from that for another due to the sequence having more or less information in that region to show. For example, a feature renderer implementation may chose to collapse down to a depth of zero pixels if there are no features to render within a region.

  Specified by:
    `getDepth` in interface `SequenceRenderer`
  Overrides:
    `getDepth` in class `SequenceRendererWrapper`
  Parameters:
    `ctx` - the SequenceRenderContext to return info for
  Returns:
    the depth of the renderer for that sequence panel

### getMinimumLeader

    public double getMinimumLeader(SequenceRenderContext ctx)

  Description copied from interface: `SequenceRenderer`
  Retrieve the minimum leading distance for this renderer when rendering src.

  The leading distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    `getMinimumLeader` in interface `SequenceRenderer`
  Overrides:
    `getMinimumLeader` in class `SequenceRendererWrapper`
  Parameters:
    `ctx` - the SequenceRenderContext to return info for
  Returns:
    the leading distance of the renderer for that sequence panel

### getMinimumTrailer

    public double getMinimumTrailer(SequenceRenderContext ctx)

  Description copied from interface: `SequenceRenderer`
  Retrieve the minimum trailing distance for this renderer when rendering src.

  The trailing distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    `getMinimumTrailer` in interface `SequenceRenderer`
  Overrides:
    `getMinimumTrailer` in class `SequenceRendererWrapper`
  Parameters:
    `ctx` - the SequenceRenderContext to return info for
  Returns:
    the trailing distance of the renderer for that sequence panel

### paint

    public void paint(Graphics2D g,
                      SequenceRenderContext ctx)

  Description copied from interface: `SequenceRenderer`
  Render a portion (possibly all) of the information for src to g, displaying all of the data that would fall within seqBox.

  Specified by:
    `paint` in interface `SequenceRenderer`
  Overrides:
    `paint` in class `SequenceRendererWrapper`
  Parameters:
    `g` - the Graphics2D to render to
    `ctx` - the SequenceRenderContext that encapsulates the information to render

### contextForLabel

    public SequenceRenderContext contextForLabel(SequenceRenderContext src,
                                                 Object label)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD